<?
if(isset($_POST['enviar_form'])) {$enviar_form = $_POST['enviar_form'];}
if (isset($enviar_form) AND ($enviar_form > 1000)) {
	
	$nome = $_POST['nome'];
	$token = $_POST['token'];
	$email = $_POST['email'];
	$cidade = $_POST['cidade'];
	$estado = $_POST['estado'];
	$telefone = $_POST['telefone'];
	$comentarios = $_POST['comentarios'];
	$email = $_POST['email'];
	if ($token != $enviar_form){
		echo "<script>alert(\"Digite o Token Corretamente.\");</script>";
	}else{
		$email_origem="$email";
		$email_destino="comercial@cis-erp.com.br ";

		$assunto="Contato pelo formulário do Site - CIS-ERP";
		
		$headers  = "MIME-Version: 1.0\n";
		$headers .= "Content-Type: text/html; charset=utf-8\n";
		$headers .= "From: <$email_origem>\n";
		$headers .= "Return-Path: <$email_origem>\n";
		
		$msg_email  = "<html>";
		$msg_email .= "<body>";
		$msg_email .= "<Br>Formulário enviado pela área de contato do site CIS-ERP!";
		$msg_email .= "<br><br>Nome: ".$nome;
		$msg_email .= "<br>E-mail: ".$email;
		$msg_email .= "<br>Cidade: ".$cidade;
		$msg_email .= "<br>Estado: ".$estado;
		$msg_email .= "<br>Telefone: ".$telefone;
		$msg_email .= "<br>Comentário: ".$comentarios;
		$msg_email .= "</body>";
		$msg_email .= "</html>";
		
		if ($SERVER_NAME!="localhost")
			$envia = mail($email_destino, $assunto, $msg_email, $headers); 		
				
		if ($envia)
			echo "<script>alert(\"E-mail enviado com Sucesso!!\");</script>";
		else
			echo "<script>alert(\"Erro desconhecido. Por favor, confira seu formulário.\");</script>";
	}

}
?>

<script language="JavaScript">
function validacaoContato(frm)
	{
	
	if ( frm.token.value=="")
		{
		alert ("Campo Token Obrigatório");
		frm.token.focus();
		return false;
		}
	if ( frm.nome.value=="")
		{
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;
		}
	if ( frm.email.value=="" || frm.email.value.indexOf('@')==-1 || frm.email.value.indexOf('.')==-1 )
		{
		alert ("Campo E-MAIL Inválido");
		frm.email.focus();
		return false;
		}
	if (frm.telefone.value=="" || frm.telefone.value.length < 10)
		{
		alert ("Campo TELEFONE Inválido");
		frm.telefone.focus();
		return false;
		}
	if ( frm.mensagem.value=="")
		{
		alert ("Campo MENSAGEM Obrigatório");
		frm.mensagem.focus();
		return false;
		}
		
	return true;
	}
</script>

<form method="post" name="frmEmail" action="<? echo $PHP_SELF; ?>" onSubmit="return validacaoContato(this);" class="form-horizontal">
<?php $token = rand(1000, 2000); ?>
<p class="tit-form">Preencha o formulário abaixo e aguarde o nosso contato! Informar o Token: <?php echo $token;?></p>
  <div class="control-group">
    <label class="control-label" for="inputToken">Token</label>
    <div class="controls">
      <input type="text" id="inputNome" name="token" size="30" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputNome">Nome</label>
    <div class="controls">
      <input type="text" id="inputNome" name="nome" size="30" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputEmail">E-mail</label>
    <div class="controls">
      <input type="text" id="inputEmail" name="email" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputTelefone">Telefone</label>
    <div class="controls">
      <input type="text" id="inputTelefone" name="telefone" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputCidade">Cidade</label>
    <div class="controls">
      <input type="text" id="inputCidade" name="cidade" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputEstado">Estado</label>
    <div class="controls">
      <input type="text" id="inputEstado" name="estado" />
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="inputComentarios">Comentários</label>
    <div class="controls">
      <textarea id="inputComentarios" name="comentarios"></textarea>
    </div>
  </div>
  <div class="control-group control-center fixlineh">
	Ao clicar em enviar você confirma estar de acordo com nossa <a href="politica-privacidade.php">Política de Privacidade</a> e nossos <a href="termos-condicoes-uso.php">Termos e Condições de Uso</a>.
  </div>
  <div class="control-group control-center">
    <input type="hidden" name="enviar_form" value="<?php echo $token;?>" />
    <input type="submit" name="btEnviar" value="Enviar" class="botao" />
  </div>
</form>

<div class="mapa">
<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3667.470897331923!2d-45.88568640000003!3d-23.189503499999994!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x94cc4a159af46bbf%3A0xa2ebc9ad3f156e7c!2sAv.+Dr.+Nelson+d&#39;%C3%81vila%2C+389+-+Centro%2C+S%C3%A3o+Jos%C3%A9+dos+Campos+-+SP%2C+12245-030!5e0!3m2!1spt-BR!2sbr!4v1412279323632" width="482" height="577" frameborder="0" style="border:0"></iframe>
</div>